{{- if .Values.s3.use }}
apiVersion: v1
kind: Secret
metadata:
  labels:
    app: {{ template "drupal-8.namespaceAndProject" . }}
  name: s3credentials-{{ template "drupal-8.namespaceAndProject" . }}
stringData:
  bucket: {{ .Values.s3.bucket  }}
  access_key: {{ .Values.s3.access_key }}
  secret_key: {{ .Values.s3.secret_key }}
  use_s3_for_public: {{ .Values.s3.use_s3_for_public | quote }}
  upload_as_private: {{ .Values.s3.upload_as_private | quote }}
  use_s3_for_private: {{ .Values.s3.use_s3_for_private | quote }}
---
{{- end }}